LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::embed::EntryInitModes Constant Group Referencepublished

This constant set contains possible modes to initialize object persistence. More...

## Variables
const long | DEFAULT_INIT = 0
| In case object persistence is created based on existing entry, the object should be initialized from this entry. More...
const long | TRUNCATE_INIT = 1
| The object should be initialized as a new empty one. More...
const long | NO_INIT = 2
| The object should be initialized as a new one only in case it still was not initialized. More...
const long | MEDIA_DESCRIPTOR_INIT = 3
| The object should be initialized using additional arguments from provided com::sun::star::document::MediaDescriptor. More...
const long | URL_LINK_INIT = 4
| The object should be initialized as a link using URL provided in additional arguments. More...

## Detailed Description

This constant set contains possible modes to initialize object persistence.

See also
  XEmbedPersist

## Variable Documentation

## ◆ DEFAULT_INIT

const long DEFAULT_INIT = 0

In case object persistence is created based on existing entry, the object should be initialized from this entry.

Otherwise the object should be initialized as a new one.

## ◆ MEDIA_DESCRIPTOR_INIT

const long MEDIA_DESCRIPTOR_INIT = 3

The object should be initialized using additional arguments from provided com::sun::star::document::MediaDescriptor.

## ◆ NO_INIT

const long NO_INIT = 2

The object should be initialized as a new one only in case it still was not initialized.

If the object initialized already do not reinitialize it.

## ◆ TRUNCATE_INIT

const long TRUNCATE_INIT = 1

The object should be initialized as a new empty one.

## ◆ URL_LINK_INIT

const long URL_LINK_INIT = 4

The object should be initialized as a link using URL provided in additional arguments.